#ifndef MADNESS_H
#define MADNESS_H

#include <noatun/plugin.h>
#include <string.h>
#include <tqmap.h>
#include <tqvaluelist.h>
#include <twinmodule.h>

class Madness : public TQObject, public MonoFFTScope, public Plugin
{
Q_OBJECT
  
public:
	Madness();
	virtual ~Madness();

	void init();

private slots:
	void update();

protected:
	virtual void scopeEvent(float *data, int bands);

private:
	KWinModule mWm;
	TQValueList<WId> mWindowList;
	TQRect mWorkArea;
	TQMap<WId, TQPoint> mOriginalPositions;
};

#endif
